# Class GomokuAI

java.lang.Object
GomokuAI

public class GomokuAI extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) int`
`difficulty`
`(package private) Random`
`random`

## Constructor Summary

Constructors
Constructor
Description
`GomokuAI()`

## Method Summary

Modifier and Type
Method
Description
`Coordinate`
`chooseMove(GomokuBoard board)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### random

Random random

### difficulty

int difficulty

## Constructor Details

### GomokuAI

public GomokuAI()

## Method Details

### chooseMove

public Coordinate chooseMove(GomokuBoard board)